%define name iso-codes
%define pkgconfigdir %_datadir/pkgconfig

Summary:	Mapping between ISO country codes and full names
Summary(de):	Abbildung zwischen ISO Länderkode und ganzem Namen
Name:		%{name}
Version:	4.16.0
Release:	%mkrel 1
Source0:	ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/iso-codes-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pkg-isocodes.alioth.debian.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python3
BuildArch:	noarch

%description
This package aims to provide the list of the country and language (and
currency) names in one place, rather than repeated in many programs
throughout PCLinuxOS.

#german
%description -l de
Dieses Paket hat das Ziel eine Liste der Länder- und Sprachen- (und
Währungs-) Namen an einem Platz zu bieten, anstelle diese in vielen
PCLinuxOS-Programmen zu wiederholen.

%files -f iso-codes.lang
%defattr(-,root,root)
%doc README.md
%{_datadir}/xml/%{name}/
%{_datadir}/%{name}/
#----------------------------------------------------------------------------

%package devel
Group:		Development/Libraries
Summary:	Devel files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
Devel files for %{name}.

#german
%description devel -l de
Entwicklerpaket zum erstellen von neuen Anwendungen basierend auf %{name}.

%files devel
%defattr(-,root,root)
%pkgconfigdir/iso-codes.pc

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT *.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir

%find_lang iso_639
%find_lang iso_3166
%find_lang iso_3166_2
%find_lang iso_4217
%find_lang iso_639_3
%find_lang iso_15924
%find_lang iso_639_5
%find_lang iso_3166-1
%find_lang iso_3166-2
%find_lang iso_3166-3
%find_lang iso_639-2
%find_lang iso_639-3
%find_lang iso_639-5

cat iso_*.lang > %{name}.lang


%clean
rm -rf $RPM_BUILD_ROOT

#--------------------------------------------------------------------

%changelog
* Thu Feb 15 2024 tex - 4.16.0-1pclos2024
- new version

* Thu Mar 30 2023 tex - 4.13.0-1pclos2023
- new version

* Mon Nov 07 2022 tex - 4.12.0-1pclos2022
- new version

* Wed Jul 27 2022 tex - 4.11.0-1pclos2022
- new version

* Mon May 25 2020 tex - 4.5.0-1pclos2020
- new version

* Wed Oct 09 2019 tex - 4.4-1pclos2019
- new version

* Thu Aug 22 2019 tex - 4.3-1pclos2019
- new version

* Thu Apr 18 2019 tex - 4.2-1pclos2019
- new version

* Thu Jun 07 2018 tex - 3.79-1pclos2018
- new version

* Mon Oct 02 2017 bb2 <bb2> - 3.76-1pclos2017
- new version

* Thu Apr 27 2017 bb2 <bb2> - 3.75-1pclos2017
- new version
